fop 1.1

## org.apache.fop.afp.fonts
Class AFPPageFonts

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.apache.fop.afp.fonts.AFPPageFonts

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class AFPPageFonts

extends java.util.HashMap

Holds the current page fonts

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`AFPPageFonts()` Default constructor
`AFPPageFonts(AFPPageFonts fonts)` Parameterized constructor

Method Summary
`AFPFontAttributes` `registerFont(java.lang.String fontName, AFPFont font, int fontSize)` Registers a font on the current page and returns font attributes

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AFPPageFonts

    public AFPPageFonts()

  Default constructor

### AFPPageFonts

    public AFPPageFonts(AFPPageFonts fonts)

  Parameterized constructor

  Parameters:
    `fonts` - an existing set of afp page fonts

Method Detail

### registerFont

    public AFPFontAttributes registerFont(java.lang.String fontName,
                                          AFPFont font,
                                          int fontSize)

  Registers a font on the current page and returns font attributes

  Parameters:
    `fontName` - the internal font name
    `font` - the AFPFont
    `fontSize` - the font point size
  Returns:
    newly registered AFPFontAttributes

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.